Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637536 - sys-apps/busybox: FEATURE_MOUNT_NFS fails to compile due to libtirpc change
Summary: sys-apps/busybox: FEATURE_MOUNT_NFS fails to compile due to libtirpc change
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Embedded Gentoo Team
URL: https://bugs.busybox.net/show_bug.cgi...
Whiteboard:
Keywords:
Depends on:
Blocks: 637446
  Show dependency tree
 
Reported: 2017-11-14 23:30 UTC by Robin Johnson
Modified: 2018-12-02 17:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2017-11-14 23:30:33 UTC
This was fixed ~6 years ago per bug 371129, but it seems that the fix has been lost in time.
https://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sys-apps/busybox/busybox-1.18.4.ebuild?hideattic=0&view=markup

Alternatively, is it possible that FEATURE_MOUNT_NFS is entirely obsolete, and can be hard-disabled when importing savedconfig? The help text is unclear if it's actually needed at all in newer kernels.

Probably fix it BOTH ways:
- Always disable FEATURE_MOUNT_NFS (provide some way for people who might be building for an ancient kernel to keep it?).
- Include libtirpc cflags via pkgconfig.

This would let anybody who also uses FEATURE_INETD_RPC keep compiling as well.

make -f scripts/Makefile.build obj=sysklogd
make -f scripts/Makefile.build obj=util-linux
make -f scripts/Makefile.build obj=util-linux/volume_id
  x86_64-pc-linux-gnu-gcc -Wp,-MD,util-linux/.mount.o.d   -std=gnu99 -Iinclude -Ilibbb  -include include/autoconf.h -D_GNU_SOURCE -DNDEBUG -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D"BB_VER=KBUILD_STR(1.27.2)" -DBB_BT=AUTOCONF_TIMESTAMP -march=native -O2 -pipe -fno-strict-aliasing -Wall -Wshadow -Wwrite-strings -Wundef -Wstrict-prototypes -Wunused -Wunused-parameter -Wunused-function -Wunused-value -Wmissing-prototypes -Wmissing-declarations -Wno-format-security -Wdeclaration-after-statement -Wold-style-definition -fno-builtin-strlen -finline-limit=0 -ffunction-sections -fdata-sections -fno-guess-branch-probability -funsigned-char   -fno-unwind-tables -fno-asynchronous-unwind-tables -fno-builtin-printf      -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(mount)"  -D"KBUILD_MODNAME=KBUILD_STR(mount)" -c -o util-linux/mount.o util-linux/mount.c
util-linux/mount.c:252:22: fatal error: rpc/rpc.h: No such file or directory
 # include <rpc/rpc.h>
                      ^
compilation terminated.
make[1]: *** [scripts/Makefile.build:197: util-linux/mount.o] Error 1
make: *** [Makefile:742: util-linux] Error 2
 * ERROR: sys-apps/busybox-1.27.2::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=sys-apps/busybox-1.27.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-apps/busybox-1.27.2::gentoo'`.
 * The complete build log is located at '/dev/shm/portage/sys-apps/busybox-1.27.2/temp/build.log'.
 * The ebuild environment file is located at '/dev/shm/portage/sys-apps/busybox-1.27.2/temp/environment'.
 * Working directory: '/dev/shm/portage/sys-apps/busybox-1.27.2/work/busybox-1.27.2'
 * S: '/dev/shm/portage/sys-apps/busybox-1.27.2/work/busybox-1.27.2'
Comment 1 Vincent-Xavier JUMEL 2018-02-27 11:35:03 UTC
Same for me here : if I disable FNS in config file, it builds fine.
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-02 17:46:25 UTC
nfs mount works now without libtirpc (I've disabled libtirpc features in the latest busybox)